/[gentoo-x86]/eclass/depend.apache.eclass
Gentoo

Diff of /eclass/depend.apache.eclass

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.8 Revision 1.15
1# Copyright 2004 Gentoo Technologies, Inc. 1# Copyright 2004-2005 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License, v2 or later 2# Distributed under the terms of the GNU General Public License, v2 or later
3# Author Michael Tindal <mtindal@gmail.com>
4# $Header: /var/cvsroot/gentoo-x86/eclass/depend.apache.eclass,v 1.8 2005/01/21 00:00:53 trapni Exp $ 3# $Header: /var/cvsroot/gentoo-x86/eclass/depend.apache.eclass,v 1.15 2005/06/07 22:11:26 vericgar Exp $
5ECLASS=depend.apache 4ECLASS=depend.apache
6INHERITED="$INHERITED $ECLASS" 5INHERITED="$INHERITED $ECLASS"
7 6
8###### 7######
9## Apache Common Variables 8## Apache Common Variables
16#### 15####
17## APACHE_VERSION 16## APACHE_VERSION
18## 17##
19## Stores the version of apache we are going to be ebuilding. This variable is 18## Stores the version of apache we are going to be ebuilding. This variable is
20## set by the need_apache{|1|2} functions. 19## set by the need_apache{|1|2} functions.
20##
21## This needs to stay as '1' until apache2 is on by default -- although it
22## doesn't matter much as it's set by the need_apache functions.
21#### 23####
22APACHE_VERSION='2' 24APACHE_VERSION='1'
23 25
24#### 26####
25## APXS1, APXS2 27## APXS1, APXS2
26## 28##
27## Paths to the apxs tools 29## Paths to the apxs tools
80 82
81#### 83####
82## APACHE1_DEPEND, APACHE2_DEPEND 84## APACHE1_DEPEND, APACHE2_DEPEND
83## 85##
84## Dependencies for apache 1.x and apache 2.x 86## Dependencies for apache 1.x and apache 2.x
85##
86## apache2 must be at least version 2.0.52-r3, this is lowest version 87## - apache2 must be at least version 2.0.52-r3, this is lowest version
87## containing our new overall changes -- trapni (Jan 21 2005) 88## containing our new overall changes -- trapni (Jan 21 2005)
88## apache1 must be at least version 1.3.33-r1, but how to 89## - apache1 must be at least version 1.3.33-r1, but how to
89## define the DEPEND here? (FIXME) -- trapni (Jan 21 2005) 90## define the DEPEND here? (FIXME) -- trapni (Jan 21 2005)
91## - currently not possible - bug #4315 -- vericgar (Jan 21 2005)
90#### 92####
91APACHE1_DEPEND="=net-www/apache-1*" 93APACHE1_DEPEND="=net-www/apache-1*"
92APACHE2_DEPEND=">=net-www/apache-2.0.52-r3" 94APACHE2_DEPEND=">=net-www/apache-2.0.54-r10"
95
96
97####
98## APACHE_DEPEND
99##
100## Dependency magic based on useflags to use the right DEPEND
101####
102
103APACHE_DEPEND="apache2? ( ${APACHE2_DEPEND} ) !apache2? ( ${APACHE1_DEPEND} )"
93 104
94#### 105####
95## need_apache1 106## need_apache1
96## 107##
97## An ebuild calls this to get the dependency information 108## An ebuild calls this to get the dependency information
102#### 113####
103need_apache1() { 114need_apache1() {
104 debug-print-function need_apache1 115 debug-print-function need_apache1
105 116
106 DEPEND="${DEPEND} ${APACHE1_DEPEND}" 117 DEPEND="${DEPEND} ${APACHE1_DEPEND}"
118 RDEPEND="${RDEPEND} ${APACHE1_DEPEND}"
107 APACHE_VERSION='1' 119 APACHE_VERSION='1'
108} 120}
109 121
110#### 122####
111## need_apache2 123## need_apache2
118#### 130####
119need_apache2() { 131need_apache2() {
120 debug-print-function need_apache2 132 debug-print-function need_apache2
121 133
122 DEPEND="${DEPEND} ${APACHE2_DEPEND}" 134 DEPEND="${DEPEND} ${APACHE2_DEPEND}"
135 RDEPEND="${RDEPEND} ${APACHE2_DEPEND}"
123 APACHE_VERSION='2' 136 APACHE_VERSION='2'
124} 137}
125 138
139####
140## DO NOT CHANGE THIS FUNCTION UNLESS YOU UNDERSTAND THE CONSEQUENCES IT
141## WILL HAVE ON THE CACHE! There MUST be a apache2? () block in DEPEND for
142## things to work correct in the dependency calculation stage.
143####
126need_apache() { 144need_apache() {
127 debug-print-function need_apache 145 debug-print-function need_apache
128 146
129 IUSE="${IUSE} apache2" 147 IUSE="${IUSE} apache2"
148 DEPEND="${DEPEND} ${APACHE_DEPEND}"
149 RDEPEND="${RDEPEND} ${APACHE_DEPEND}"
130 if useq apache2; then 150 if useq apache2; then
131 need_apache2 151 APACHE_VERSION='2'
152 USE_APACHE2=2
153 APXS="$APXS2"
154 APACHECTL="${APACHECTL2}"
155 APACHE_BASEDIR="${APACHE2_BASEDIR}"
156 APACHE_CONFDIR="${APACHE2_CONFDIR}"
157 APACHE_MODULES_CONFDIR="${APACHE2_MODULES_CONFDIR}"
158 APACHE_VHOSTSDIR="${APACHE2_VHOSTSDIR}"
159 APACHE_MODULESDIR="${APACHE2_MODULESDIR}"
132 else 160 else
133 need_apache1 161 APACHE_VERSION='1'
162 APXS="$APXS1"
163 USE_APACHE2=
164 APACHECTL="${APACHECTL1}"
165 APACHE_BASEDIR="${APACHE1_BASEDIR}"
166 APACHE_CONFDIR="${APACHE1_CONFDIR}"
167 APACHE_MODULES_CONFDIR="${APACHE1_MODULES_CONFDIR}"
168 APACHE_VHOSTSDIR="${APACHE1_VHOSTSDIR}"
169 APACHE_MODULESDIR="${APACHE1_MODULESDIR}"
134 fi 170 fi
135} 171}
136

Legend:
Removed from v.1.8  
changed lines
  Added in v.1.15

  ViewVC Help
Powered by ViewVC 1.1.20